/**
 * hpgv_util.c
 *
 * Copyright (c) 2008 Hongfeng Yu
 *
 * Contact:
 * Hongfeng Yu
 * hfstudio@gmail.com
 * 
 * 
 * All rights reserved.  May not be used, modified, or copied 
 * without permission.
 *
 */

#include "hpgv_util.h"

/**
 * hpgv_msg
 *
 */
void 
hpgv_msg(int id, int root, const char *fmt, ...)
{   
    va_list ap;
    char buf[MAXLINE];
    
    if (id != root) {
        return;
    }
    
    va_start(ap, fmt);
    vsnprintf(buf, MAXLINE, fmt, ap);          
    fputs(buf, stderr);
}
