ifndef SYSTEM
    SYSTEM = FLOW
endif

ifeq ($(SYSTEM), FLOW)
    MPI = $(HOME)/local/lib64/mpich2
    INCLUDE =
    LIB = 
    LDFLAGS = -lm 
    CC = $(MPI)/bin/mpicc
endif

ifeq ($(SYSTEM), LENS)
    CC = mpicc	
    CFLAGS += -DSYS_LENS
endif

ifeq ($(OPT), ON)    
    CFLAGS += -O3
endif

ifeq ($(DEBUG), ON)
    CFLAGS += -g
endif
